/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * Representacion de registro de la tabla AD74A91T00 PRECIOS_BENEFICIARIO

 * @author BICUGUAL
 *
 */
public class PrecioBeneficiario implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private Long idPrecioBeneficiario;
	private Long idSolicitante;
	private Boolean indExento;
	private BigDecimal precioPrivado;
	private LocalDate fechaInicio;
	private LocalDate fechaFin;
	
	public PrecioBeneficiario() {
		super();
	}

	public PrecioBeneficiario(Long idPrecioBeneficiario, Long idSolicitante, Boolean indExento,
			BigDecimal precioPrivado, LocalDate fechaInicio, LocalDate fechaFin) {
		super();
		this.idPrecioBeneficiario = idPrecioBeneficiario;
		this.idSolicitante = idSolicitante;
		this.indExento = indExento;
		this.precioPrivado = precioPrivado;
		this.fechaInicio = fechaInicio;
		this.fechaFin = fechaFin;
	}

	public Long getIdPrecioBeneficiario() {
		return idPrecioBeneficiario;
	}

	public void setIdPrecioBeneficiario(Long idPrecioBeneficiario) {
		this.idPrecioBeneficiario = idPrecioBeneficiario;
	}

	public Long getIdSolicitante() {
		return idSolicitante;
	}

	public void setIdSolicitante(Long idSolicitante) {
		this.idSolicitante = idSolicitante;
	}

	public Boolean getIndExento() {
		return indExento;
	}

	public void setIndExento(Boolean indExento) {
		this.indExento = indExento;
	}

	public BigDecimal getPrecioPrivado() {
		return precioPrivado;
	}

	public void setPrecioPrivado(BigDecimal precioPrivado) {
		this.precioPrivado = precioPrivado;
	}

	public LocalDate getFechaInicio() {
		return fechaInicio;
	}

	public void setFechaInicio(LocalDate fechaInicio) {
		this.fechaInicio = fechaInicio;
	}

	public LocalDate getFechaFin() {
		return fechaFin;
	}

	public void setFechaFin(LocalDate fechaFin) {
		this.fechaFin = fechaFin;
	}

	@Override
	public String toString() {
		return "PrecioBeneficiario [idPrecioBeneficiario=" + idPrecioBeneficiario + ", idSolicitante=" + idSolicitante
				+ ", indExento=" + indExento + ", precioPrivado=" + precioPrivado + ", fechaInicio=" + fechaInicio
				+ ", fechaFin=" + fechaFin + "]";
	}
}
